Subject: Use lifecycle annotations without HasLifecycleCallbacks
Description

When using lifecycle annotations on methods, there should be no need to annotate the class itself with HasLifecycleCallbacks. It is
probably intended to avoid parsing docblocks of all methods, but we do this anyway (and it's cached afterwards), so having to
annotate the class and the method is just overhead.

Associated revisions
Revision 955b786a - 2012-05-03 08:21 - Karsten Dambekalns

[FEATURE] Use lifecycle annotations without HasLifecycleCallbacks

When using lifecycle annotations on methods, this change removes the need
to annotate the class itself with HasLifecycleCallbacks.

Change-Id: If1138f7d18fb6031b0820a63c64b6be58ccbfa2b
Resolves: #36714
Releases: 1.1

History
#1 - 2012-04-30 10:50 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10884

#2 - 2012-04-30 16:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10884

#3 - 2012-05-03 08:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10884

#4 - 2012-05-03 14:40 - Karsten Dambekalns

2015-08-03 1/2

http://review.typo3.org/10884
http://review.typo3.org/10884
http://review.typo3.org/10884


- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:955b786a937127f9c39cbb6506d9d7ad2119a7c1.
